#!/bin/sh

# Unzip openjdk source zip.
test -n "$1" || exit 1
test -d openjdk && rm -r openjdk
tar xf $1

# Remove win32 sources, some of which have questionable license
# headers.
rm -r \
  openjdk/hotspot/agent/src/share/classes/sun/jvm/hotspot/debugger/win32 \
  openjdk/hotspot/agent/src/share/classes/sun/jvm/hotspot/debugger/windbg \
  openjdk/hotspot/agent/src/share/classes/sun/jvm/hotspot/runtime/win32_amd64 \
  openjdk/hotspot/agent/src/share/classes/sun/jvm/hotspot/runtime/win32_ia64 \
  openjdk/hotspot/agent/src/share/classes/sun/jvm/hotspot/runtime/win32_x86

# Remove idl sources with questionable license headers.
rm \
  openjdk/corba/src/share/classes/com/sun/tools/corba/se/idl/grammar.idl \
  openjdk/corba/src/share/classes/com/sun/tools/corba/se/idl/first.set \
  openjdk/corba/src/share/classes/com/sun/tools/corba/se/idl/grammar3.idl \
  openjdk/corba/src/share/classes/com/sun/tools/corba/se/idl/follow.set

# Create new zip with new name.
NEW_ZIP=$(echo $1 | sed -e 's/\.tar.gz/-mandriva.tar.gz/')
rm -f $NEW_ZIP
tar czf $NEW_ZIP openjdk

# Remove old unzipped openjdk dir.
rm -rf openjdk
