# If gcjbootstrap is 1 IcedTea is bootstrapped against
# java-1.5.0-gcj-devel.  If gcjbootstrap is 0 IcedTea is built against
# java-1.7.0-icedtea-devel.
%bcond_with bootstrap
%bcond_with mauve

%if %with bootstrap
%define gcjbootstrap 1
%else
%define gcjbootstrap 0
%endif

%define gcc_suffix 4.3
%define gcc_version 4.3

%define openjdkrel 24
%define openjdkver b%{openjdkrel}

%define icedtea_rev     726

%define openjdkzip openjdk-%{openjdkver}.tar.gz
%define mandrivazip openjdk-%{openjdkver}-mandriva.tar.gz

%define mauvedate 2007-09-12

%ifarch x86_64
%define archbuild amd64
%define archinstall amd64
%else
%ifarch ppc
%define archbuild ppc
%define archinstall ppc
%else
%ifarch ppc64
%define archbuild ppc64
%define archinstall ppc64
%else
%define archbuild i586
%define archinstall i386
%endif
%endif
%endif

%define buildoutputdir openjdk/build/linux-%{archbuild}

%if %{gcjbootstrap}
%define icedteaopt --with-java=%{_jvmdir}/java-gcj/bin/java --with-ecj=%{_jvmdir}/java-gcj/bin/javac --with-javah=%{_jvmdir}/java-gcj/bin/javah --with-jar=%{_jvmdir}/java-gcj/bin/jar --with-rmic=%{_jvmdir}/java-gcj/bin/rmic --with-libgcj-jar=%{_javadir}/libgcj-%{gcc_version}.jar
%else
%define icedteaopt --with-icedtea
%endif

# Convert an absolute path to a relative path.  Each symbolic link is
# specified relative to the directory in which it is installed so that
# it will resolve properly within chrooted installations.
%define script 'use File::Spec; print File::Spec->abs2rel($ARGV[0], $ARGV[1])'
%define abs2rel %{__perl} -e %{script}

# Hard-code libdir on 64-bit architectures to make the 64-bit JDK
# simply be another alternative.
%ifarch x86_64 ppc64
# (walluck) in Mandriva, unlike Fedora, %{_libdir} is already set to
# (walluck) %{_prefix}/lib64 on x86-64
%define syslibdir       %{_libdir}
%define archname        %{name}.%{_arch}
%define localpolicy     jce_%{javaver}_%{origin}_local_policy.%{_arch}
%define uspolicy        jce_%{javaver}_%{origin}_us_export_policy.%{_arch}
%define javaplugin      libjavaplugin.so.%{_arch}
%else
%define syslibdir       %{_libdir}
%define archname        %{name}
%define localpolicy     jce_%{javaver}_%{origin}_local_policy
%define uspolicy        jce_%{javaver}_%{origin}_us_export_policy
%define javaplugin      libjavaplugin.so
%endif

# Standard JPackage naming and versioning defines.
%define origin          icedtea
%define priority        17000
%define javaver         1.7.0
%define buildver        0

# Standard JPackage directories and symbolic links.
# Make 64-bit JDKs just another alternative on 64-bit architectures.
%ifarch x86_64 ppc64
%define sdklnk          java-%{javaver}-%{origin}.%{_arch}
%define jrelnk          jre-%{javaver}-%{origin}.%{_arch}
%define sdkdir          %{name}-%{version}.%{_arch}
%else
%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{version}
%endif
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%ifarch x86_64 ppc64
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}.%{_arch}
%else
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}
%endif

%define cgibindir       %{_var}/www/cgi-bin

# Prevent brp-java-repack-jars from being run.
%define __jar_repack 0

Name:    java-%{javaver}-%{origin}
Version: %{javaver}.%{buildver}
Release: %mkrel %{openjdkrel}.%{icedtea_rev}.1
Epoch:   0
Summary: IcedTea Runtime Environment
Group:   Development/Java
License:  LGPL-style
URL:      http://iced-tea.org/
# (anssi) Tarballing the complete mercurial repository results in an archive
# multiple times larger than needed, so please use hg archive command as
# follows:
# hg clone http://iced-tea.org/hg/icedtea
# cd icedtea; hg archive -ttbz2 ../icedtea-$(hg tip --template {rev}).tar.bz2; cd ..; /bin/rm -r icedtea
# (walluck) We decided to use hg snapshots instead of waiting for
# (walluck) upstream releases from icedtea
Source0:  icedtea-%{icedtea_rev}.tar.bz2
# To generate the mandrivazip, run generate-mandriva-zip.sh on openjdkzip.
Source1:  %{mandrivazip}
# svn checkout https://openjdk.dev.java.net/svn/openjdk/jdk/trunk openjdk --username guest
Source100:  icedtea-hg-update.sh

Source3:  generate-mandriva-zip.sh
Source4:  README.src
Source5:  README.plugin
Source6:  mauve-%{mauvedate}.tar.gz
Source7:  mauve_tests
Patch1:   java-1.7.0-icedtea-win32.patch
Patch3:   java-1.7.0-icedtea-gcc-4.3.patch

%define versiondesc Icedtea revision %{icedtea_rev}, based on OpenJDK %{openjdkver}.\
\
IcedTea is derived from OpenJDK, Sun's open-source implementation of\
the Java SE platform.  At this time the build from which IcedTea was\
constructed corresponds to an early build of JDK 7.  When JDK 7\
is complete it will implement the Java SE 7 Platform Specification.\
Work on that specification is underway, but far from final.  Any APIs\
in the JDK 7 implementation, whether new or old, are therefore subject\
to minor adjustments, major revisions, or even outright removal\
between now and the time that the Java SE 7 Platform Specification is\
finalized.  Please take these facts into account before depending upon\
IcedTea.

# (walluck) Mandriva patches
Patch101: openjdk-force-link-dynamic.patch
# (Anssi) Provide javaws in JRE as well, not just SDK. This patch also hacks
# netx classes from lib/tools.jar into jre/lib/javaws.jar to make it possible.
Patch103: icedtea-javaws-in-jre.patch

# (walluck) Gentoo patches
Patch206: gettimeofday-declaration.patch
Patch208: hotspot-cflags.patch
Patch209: cpuid-fomit-frame-pointer.patch
Patch210: execstack.patch
Patch212: tempname-free.patch
Patch213: fontconfig-directlink.patch
Patch214: const-char-fixes.patch

BuildRequires: alsa-lib-devel
BuildRequires: cups-devel
BuildRequires: ungif-devel
BuildRequires: lesstif-devel
BuildRequires: libxi-devel
BuildRequires: libxp-devel
BuildRequires: libxt-devel
BuildRequires: libxtst-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: wget
BuildRequires: xalan-j2
BuildRequires: xerces-j2
%if %{gcjbootstrap}
BuildRequires: java-1.5.0-gcj-devel
%else
BuildRequires: java-1.7.0-icedtea-devel
%endif
BuildRequires: fastjar
BuildRequires: freetype2-devel
Requires: java-access-bridge
BuildRequires: java-access-bridge
BuildRequires: zlib-devel
BuildRequires: fontconfig-devel
BuildRequires: ant
BuildRequires: libxinerama-devel
BuildRequires: zip
# Mauve build requirements.
BuildRequires: x11-server-xvfb
BuildRequires: x11-font-misc
BuildRequires: x11-font-type1
BuildRequires: freetype-devel
BuildRequires: fontconfig
# gcjwebplugin build requirements.
BuildRequires: firefox-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel

# Require /etc/pki/tls/certs/ca-bundle.crt instead of generating
# cacerts.
Requires: openssl
# Require zoneinfo data provided by tzdata-java subpackage.
Requires: tzdata-java
# Post requires alternatives to install tool alternatives.
Requires(post):   update-alternatives
# Postun requires alternatives to uninstall tool alternatives.
Requires(postun): update-alternatives

Provides: javaws = %{javaver}

# Standard JPackage base provides.
Provides: jre-%{javaver}-%{origin} = %{version}-%{release}
Provides: jre-%{origin} = %{version}-%{release}
Provides: jre-%{javaver} = %{version}-%{release}
Provides: java-%{javaver} = %{version}-%{release}
Provides: jre = %{javaver}
Provides: java-%{origin} = %{version}-%{release}
Provides: java = %{javaver}
# Standard JPackage extensions provides.
Provides: jndi = %{version}
Provides: jndi-ldap = %{version}
Provides: jndi-cos = %{version}
Provides: jndi-rmi = %{version}
Provides: jndi-dns = %{version}
Provides: jaas = %{version}
Provides: jsse = %{version}
Provides: jce = %{version}
# Both these versioned provides need to be here since either may be
# required explicitly.  Requiring the first one means requiring a
# version of the JDBC API; requiring the second one means requiring
# the JDBC API provided by this version of the JDK.  This convention
# comes from JPackage.
Provides: jdbc-stdext = 3.0
Provides: jdbc-stdext = %{version}
Provides: java-sasl = %{version}

BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i586 x86_64 ppc ppc64

Obsoletes: %{name}-rmi < %{epoch}:%{version}-%{release}

%description
The IcedTea runtime environment.

%{versiondesc}

%package devel
Summary: IcedTea Development Environment
Group:   Development/Java

# Require base package.
Requires:         %{name} = %{epoch}:%{version}-%{release}
# Post requires alternatives to install tool alternatives.
Requires(post):   update-alternatives
# Postun requires alternatives to uninstall tool alternatives.
Requires(postun): update-alternatives

# Standard JPackage devel provides.
Provides: java-sdk-%{javaver}-%{origin} = %{version}
Provides: java-sdk-%{javaver} = %{version}
Provides: java-sdk-%{origin} = %{version}
Provides: java-sdk = %{javaver}
Provides: java-%{javaver}-devel = %{version}
Provides: java-devel-%{origin} = %{version}
Provides: java-devel = %{javaver}

%description devel
The IcedTea development tools.

%{versiondesc}

%package demo
Summary: IcedTea Demos
Group:   Development/Java

Requires: %{name} = %{epoch}:%{version}-%{release}

%description demo
The IcedTea demos.

%{versiondesc}

%package src
Summary: IcedTea Source Bundle
Group:   Development/Java

Requires: %{name} = %{epoch}:%{version}-%{release}

%description src
The IcedTea source bundle.

%{versiondesc}

%package javadoc
Summary: IcedTea API Documentation
Group:   Development/Java

# Post requires alternatives to install javadoc alternative.
Requires(post):   update-alternatives
# Postun requires alternatives to uninstall javadoc alternative.
Requires(postun): update-alternatives

# Standard JPackage javadoc provides.
Provides: java-javadoc = %{version}-%{release}
Provides: java-%{javaver}-javadoc = %{version}-%{release}

%description javadoc
The IcedTea API documentation.

%{versiondesc}

%package plugin
Summary: IcedTea Web Browser Plugin
Group:   Development/Java

Requires: %{name} = %{epoch}:%{version}-%{release}
# Post requires alternatives to install plugin alternative.
Requires(post):   update-alternatives
# Postun requires alternatives to uninstall plugin alternative.
Requires(postun): update-alternatives

# Standard JPackage plugin provides.
Provides: java-plugin = %{javaver}
Provides: java-%{javaver}-plugin = %{epoch}:%{version}-%{release}

%description plugin
The IcedTea web browser plugin.

%{versiondesc}

%prep
%setup -q -n icedtea-%{icedtea_rev}
%setup -q -n icedtea-%{icedtea_rev} -T -D -a 1
%if %with mauve
%setup -q -n icedtea-%{icedtea_rev} -T -D -a 6
%endif
%patch1
#%%patch101 -p0
#%%patch103 -p1
cp %{SOURCE4} .
cp %{SOURCE5} .
cp %{SOURCE7} .

# (walluck) apply gentoo patches
cd openjdk
%patch206 -p1
%patch208 -p1
%patch209 -p0
%patch210 -p1
%patch212 -p1
%patch213 -p1
cd hotspot
%patch214 -p1
cd ..
cd ..

# (walluck) we need this during bootstrapping or we can't find libgcj.so
%{__perl} -pi -e 's|\-lgcj|-L%{_prefix}/lib/gcc/%{_host}/%{gcc_version} -lgcj|' patches/icedtea-ecj.patch

%build
export CLASSPATH=
export OPT_JAR_LIST=:

# (anssi) patch103:
autoreconf

# (anssi) fixes build on x86 with gcc 4.2
# needed as of 2007-07-10
export CFLAGS="%{optflags} -fno-tree-vrp"
%{configure2_5x} %{icedteaopt} --with-openjdk-src-zip=%{SOURCE1} --disable-dependency-tracking

%{__make} COMPILER_WARNINGS_FATAL=false NO_STRIP=true STATIC_CXX=false DIRECT_LINK_FONTCONFIG=true

export JAVA_HOME=$(pwd)/%{buildoutputdir}/j2sdk-image

# (walluck) We ship this in a proper package (although I don't think
# (walluck) that accessibility.properties is in the correct place
pushd %{buildoutputdir}/j2sdk-image/jre/lib
  %{__ln_s}f %{_javadir}/accessibility.properties accessibility.properties
  %{__ln_s}f %{_javadir}/gnome-java-bridge.jar ext/gnome-java-bridge.jar
popd

%if %with mauve
# Running Mauve to check for regressions
pushd mauve-%{mauvedate}
  %{configure2_5x}
  %{make}
  echo ====================MAUVE TESTING========================
  export DISPLAY=:20
  Xvfb :20 -screen 0 1x1x24 -ac&
  ( $JAVA_HOME/bin/java Harness -vm $JAVA_HOME/bin/java \
  -file %{SOURCE7} \
  -timeout 30000 2>&1 | tee mauve_output ) || :
  unset DISPLAY
  echo ====================MAUVE TESTING END====================
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

pushd %{buildoutputdir}/j2sdk-image

  # Assume that java-rmi.cgi is not used.
  # http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4418631
  rm -f bin/java-rmi.cgi

  # Install main files.
  install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
  cp -a bin include lib src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
  install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
  cp -a jre/bin jre/lib $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}

  # Install extension symlinks.
  install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
  pushd $RPM_BUILD_ROOT%{jvmjardir}
    RELATIVE=$(%{abs2rel} %{_jvmdir}/%{jredir}/lib %{jvmjardir})
    ln -sf $RELATIVE/jsse.jar jsse-%{version}.jar
    ln -sf $RELATIVE/jce.jar jce-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-ldap-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-cos-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-rmi-%{version}.jar
    ln -sf $RELATIVE/rt.jar jaas-%{version}.jar
    ln -sf $RELATIVE/rt.jar jdbc-stdext-%{version}.jar
    ln -sf jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
    ln -sf $RELATIVE/rt.jar sasl-%{version}.jar
    for jar in *-%{version}.jar
    do
      if [ x%{version} != x%{javaver} ]
      then
        ln -sf $jar $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      fi
      ln -sf $jar $(echo $jar | sed "s|-%{version}.jar|.jar|g")
    done
  popd

  # Install JCE policy symlinks.
  install -d -m 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{archname}/jce/vanilla
  for file in local_policy.jar US_export_policy.jar
  do
    mv -f $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
      $RPM_BUILD_ROOT%{_jvmprivdir}/%{archname}/jce/vanilla
    # Touch files for ghosts.
    touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
  done

  # Install versionless symlinks.
  pushd $RPM_BUILD_ROOT%{_jvmdir}
    ln -sf %{jredir} %{jrelnk}
    ln -sf %{sdkdir} %{sdklnk}
  popd

  pushd $RPM_BUILD_ROOT%{_jvmjardir}
    ln -sf %{sdkdir} %{jrelnk}
    ln -sf %{sdkdir} %{sdklnk}
  popd

  # Remove javaws man page.
  rm -f man/man1/javaws.1

  # Install man pages.
  install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
  for manpage in man/man1/*
  do
    # Convert man pages to UTF8 encoding.
    iconv -f ISO_8859-1 -t UTF8 $manpage -o $manpage.tmp
    mv -f $manpage.tmp $manpage
    install -m 644 -p $manpage $RPM_BUILD_ROOT%{_mandir}/man1/$(basename \
      $manpage .1)-%{name}.1
  done

  # Install demos and samples.
  cp -a demo $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
  cp -a sample $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}

popd

# Install Javadoc documentation.
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -a %{buildoutputdir}/docs $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
pushd $RPM_BUILD_ROOT%{_javadocdir}
  ln -sf %{name}-%{version} %{name}
popd

# Find JRE directories.
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | grep -v jre/lib/security \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' \
  > %{name}.files
# Find JRE files.
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | grep -v jre/lib/security \
  | grep -v gcjwebplugin.so \
  | sed 's|'$RPM_BUILD_ROOT'||' \
  >> %{name}.files
# Find demo directories.
find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/demo \
  $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/sample -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' \
  > %{name}-demo.files
# Find non-documentation demo files.
find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/demo \
  $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/sample \
  -type f -o -type l | sort \
  | grep -v README \
  | sed 's|'$RPM_BUILD_ROOT'||' \
  >> %{name}-demo.files
# Find documentation demo files.
find $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/demo \
  $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}/sample \
  -type f -o -type l | sort \
  | grep README \
  | sed 's|'$RPM_BUILD_ROOT'||' \
  | sed 's|^|%doc |' \
  >> %{name}-demo.files

# (Anssi 02/2008) Web Start association:
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}-javaws.desktop <<EOF
[Desktop Entry]
Name=Icedtea Java Web Start
Exec=%{jrebindir}/javaws -jnlp %u
Terminal=false
Type=Application
NoDisplay=true
Icon=web_browser_section
Categories=Network;Java;
MimeType=application/x-java-jnlp-file;
EOF

# (Anssi 02/2008) No config files in /usr. Symlink into /etc
# as per debian.
install -d -m755 %{buildroot}%{_sysconfdir}/java-icedtea/security
for file in cacerts java.policy java.security; do
	mv %{buildroot}%{_jvmdir}/%{jredir}/lib/security/$file %{buildroot}%{_sysconfdir}/java-icedtea/security/
	ln -s %{_sysconfdir}/java-icedtea/security/$file %{buildroot}%{_jvmdir}/%{jredir}/lib/security/$file
done

# (Anssi 03/2008) for update-alternatives:
install -d -m755 %{buildroot}%{_libdir}/mozilla/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post
ext=%{_extension}
%{_sbindir}/update-alternatives \
  --install %{_bindir}/java java %{jrebindir}/java %{priority} \
  --slave %{_jvmdir}/jre jre %{_jvmdir}/%{jrelnk} \
  --slave %{_jvmjardir}/jre jre_exports %{_jvmjardir}/%{jrelnk} \
  --slave %{_bindir}/keytool keytool %{jrebindir}/keytool \
  --slave %{_bindir}/orbd orbd %{jrebindir}/orbd \
  --slave %{_bindir}/pack200 pack200 %{jrebindir}/pack200 \
  --slave %{_bindir}/policytool policytool %{jrebindir}/policytool \
  --slave %{_bindir}/rmid rmid %{jrebindir}/rmid \
  --slave %{_bindir}/rmiregistry rmiregistry %{jrebindir}/rmiregistry \
  --slave %{_bindir}/servertool servertool %{jrebindir}/servertool \
  --slave %{_bindir}/tnameserv tnameserv %{jrebindir}/tnameserv \
  --slave %{_bindir}/unpack200 unpack200 %{jrebindir}/unpack200 \
  --slave %{_datadir}/javaws javaws %{jrebindir}/javaws \
  --slave %{_mandir}/man1/java.1$ext java.1$ext \
  %{_mandir}/man1/java-%{name}.1$ext \
  --slave %{_mandir}/man1/keytool.1$ext keytool.1$ext \
  %{_mandir}/man1/keytool-%{name}.1$ext \
  --slave %{_mandir}/man1/orbd.1$ext orbd.1$ext \
  %{_mandir}/man1/orbd-%{name}.1$ext \
  --slave %{_mandir}/man1/pack200.1$ext pack200.1$ext \
  %{_mandir}/man1/pack200-%{name}.1$ext \
  --slave %{_mandir}/man1/policytool.1$ext policytool.1$ext \
  %{_mandir}/man1/policytool-%{name}.1$ext \
  --slave %{_mandir}/man1/rmid.1$ext rmid.1$ext \
  %{_mandir}/man1/rmid-%{name}.1$ext \
  --slave %{_mandir}/man1/rmiregistry.1$ext rmiregistry.1$ext \
  %{_mandir}/man1/rmiregistry-%{name}.1$ext \
  --slave %{_mandir}/man1/servertool.1$ext servertool.1$ext \
  %{_mandir}/man1/servertool-%{name}.1$ext \
  --slave %{_mandir}/man1/tnameserv.1$ext tnameserv.1$ext \
  %{_mandir}/man1/tnameserv-%{name}.1$ext \
  --slave %{_mandir}/man1/unpack200.1$ext unpack200.1$ext \
  %{_mandir}/man1/unpack200-%{name}.1$ext

%{_sbindir}/update-alternatives \
  --install %{_jvmdir}/jre-%{origin} \
  jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
  --slave %{_jvmjardir}/jre-%{origin} \
  jre_%{origin}_exports %{_jvmjardir}/%{jrelnk}

%{_sbindir}/update-alternatives \
  --install %{_jvmdir}/jre-%{javaver} \
  jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
  --slave %{_jvmjardir}/jre-%{javaver} \
  jre_%{javaver}_exports %{_jvmjardir}/%{jrelnk}

%{_sbindir}/update-alternatives \
  --install \
  %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar \
  %{localpolicy} \
  %{_jvmprivdir}/%{archname}/jce/vanilla/local_policy.jar \
  %{priority} \
  --slave \
  %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy.jar \
  %{uspolicy} \
  %{_jvmprivdir}/%{archname}/jce/vanilla/US_export_policy.jar

%{update_desktop_database}

%postun
if ! [ -e %{jrebindir}/java ]
then
  alternatives --remove java %{jrebindir}/java
  alternatives --remove jre_%{origin} %{_jvmdir}/%{jrelnk}
  alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
  alternatives --remove \
    %{localpolicy} \
    %{_jvmprivdir}/%{archname}/jce/vanilla/local_policy.jar
fi
%{clean_desktop_database}

%post devel
ext=%{_extension}
%{_sbindir}/update-alternatives \
  --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
  --slave %{_jvmdir}/java java_sdk %{_jvmdir}/%{sdklnk} \
  --slave %{_jvmjardir}/java java_sdk_exports %{_jvmjardir}/%{sdklnk} \
  --slave %{_bindir}/appletviewer appletviewer %{sdkbindir}/appletviewer \
  --slave %{_bindir}/apt apt %{sdkbindir}/apt \
  --slave %{_bindir}/extcheck extcheck %{sdkbindir}/extcheck \
  --slave %{_bindir}/idlj idlj %{sdkbindir}/idlj \
  --slave %{_bindir}/jar jar %{sdkbindir}/jar \
  --slave %{_bindir}/jarsigner jarsigner %{sdkbindir}/jarsigner \
  --slave %{_bindir}/javadoc javadoc %{sdkbindir}/javadoc \
  --slave %{_bindir}/javah javah %{sdkbindir}/javah \
  --slave %{_bindir}/javap javap %{sdkbindir}/javap \
  --slave %{_bindir}/jconsole jconsole %{sdkbindir}/jconsole \
  --slave %{_bindir}/jdb jdb %{sdkbindir}/jdb \
  --slave %{_bindir}/jhat jhat %{sdkbindir}/jhat \
  --slave %{_bindir}/jinfo jinfo %{sdkbindir}/jinfo \
  --slave %{_bindir}/jmap jmap %{sdkbindir}/jmap \
  --slave %{_bindir}/jps jps %{sdkbindir}/jps \
  --slave %{_bindir}/jrunscript jrunscript %{sdkbindir}/jrunscript \
  --slave %{_bindir}/jsadebugd jsadebugd %{sdkbindir}/jsadebugd \
  --slave %{_bindir}/jstack jstack %{sdkbindir}/jstack \
  --slave %{_bindir}/jstat jstat %{sdkbindir}/jstat \
  --slave %{_bindir}/jstatd jstatd %{sdkbindir}/jstatd \
  --slave %{_bindir}/native2ascii native2ascii %{sdkbindir}/native2ascii \
  --slave %{_bindir}/rmic rmic %{sdkbindir}/rmic \
  --slave %{_bindir}/schemagen schemagen %{sdkbindir}/schemagen \
  --slave %{_bindir}/serialver serialver %{sdkbindir}/serialver \
  --slave %{_bindir}/wsgen wsgen %{sdkbindir}/wsgen \
  --slave %{_bindir}/wsimport wsimport %{sdkbindir}/wsimport \
  --slave %{_bindir}/xjc xjc %{sdkbindir}/xjc \
  --slave %{_mandir}/man1/appletviewer.1$ext appletviewer.1$ext \
  %{_mandir}/man1/appletviewer-%{name}.1$ext \
  --slave %{_mandir}/man1/apt.1$ext apt.1$ext \
  %{_mandir}/man1/apt-%{name}.1$ext \
  --slave %{_mandir}/man1/extcheck.1$ext extcheck.1$ext \
  %{_mandir}/man1/extcheck-%{name}.1$ext \
  --slave %{_mandir}/man1/idlj.1$ext idlj.1$ext \
  %{_mandir}/man1/idlj-%{name}.1$ext \
  --slave %{_mandir}/man1/jar.1$ext jar.1$ext \
  %{_mandir}/man1/jar-%{name}.1$ext \
  --slave %{_mandir}/man1/jarsigner.1$ext jarsigner.1$ext \
  %{_mandir}/man1/jarsigner-%{name}.1$ext \
  --slave %{_mandir}/man1/javac.1$ext javac.1$ext \
  %{_mandir}/man1/javac-%{name}.1$ext \
  --slave %{_mandir}/man1/javadoc.1$ext javadoc.1$ext \
  %{_mandir}/man1/javadoc-%{name}.1$ext \
  --slave %{_mandir}/man1/javah.1$ext javah.1$ext \
  %{_mandir}/man1/javah-%{name}.1$ext \
  --slave %{_mandir}/man1/javap.1$ext javap.1$ext \
  %{_mandir}/man1/javap-%{name}.1$ext \
  --slave %{_mandir}/man1/jconsole.1$ext jconsole.1$ext \
  %{_mandir}/man1/jconsole-%{name}.1$ext \
  --slave %{_mandir}/man1/jdb.1$ext jdb.1$ext \
  %{_mandir}/man1/jdb-%{name}.1$ext \
  --slave %{_mandir}/man1/jhat.1$ext jhat.1$ext \
  %{_mandir}/man1/jhat-%{name}.1$ext \
  --slave %{_mandir}/man1/jinfo.1$ext jinfo.1$ext \
  %{_mandir}/man1/jinfo-%{name}.1$ext \
  --slave %{_mandir}/man1/jmap.1$ext jmap.1$ext \
  %{_mandir}/man1/jmap-%{name}.1$ext \
  --slave %{_mandir}/man1/jps.1$ext jps.1$ext \
  %{_mandir}/man1/jps-%{name}.1$ext \
  --slave %{_mandir}/man1/jrunscript.1$ext jrunscript.1$ext \
  %{_mandir}/man1/jrunscript-%{name}.1$ext \
  --slave %{_mandir}/man1/jsadebugd.1$ext jsadebugd.1$ext \
  %{_mandir}/man1/jsadebugd-%{name}.1$ext \
  --slave %{_mandir}/man1/jstack.1$ext jstack.1$ext \
  %{_mandir}/man1/jstack-%{name}.1$ext \
  --slave %{_mandir}/man1/jstat.1$ext jstat.1$ext \
  %{_mandir}/man1/jstat-%{name}.1$ext \
  --slave %{_mandir}/man1/jstatd.1$ext jstatd.1$ext \
  %{_mandir}/man1/jstatd-%{name}.1$ext \
  --slave %{_mandir}/man1/native2ascii.1$ext native2ascii.1$ext \
  %{_mandir}/man1/native2ascii-%{name}.1$ext \
  --slave %{_mandir}/man1/rmic.1$ext rmic.1$ext \
  %{_mandir}/man1/rmic-%{name}.1$ext \
  --slave %{_mandir}/man1/schemagen.1$ext schemagen.1$ext \
  %{_mandir}/man1/schemagen-%{name}.1$ext \
  --slave %{_mandir}/man1/serialver.1$ext serialver.1$ext \
  %{_mandir}/man1/serialver-%{name}.1$ext \
  --slave %{_mandir}/man1/wsgen.1$ext wsgen.1$ext \
  %{_mandir}/man1/wsgen-%{name}.1$ext \
  --slave %{_mandir}/man1/wsimport.1$ext wsimport.1$ext \
  %{_mandir}/man1/wsimport-%{name}.1$ext \
  --slave %{_mandir}/man1/xjc.1$ext xjc.1$ext \
  %{_mandir}/man1/xjc-%{name}.1$ext

%{_sbindir}/update-alternatives \
  --install %{_jvmdir}/java-%{origin} \
  java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
  --slave %{_jvmjardir}/java-%{origin} \
  java_sdk_%{origin}_exports %{_jvmjardir}/%{sdklnk}

%{_sbindir}/update-alternatives \
  --install %{_jvmdir}/java-%{javaver} \
  java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
  --slave %{_jvmjardir}/java-%{javaver} \
  java_sdk_%{javaver}_exports %{_jvmjardir}/%{sdklnk}

%postun devel
if ! [ -e %{sdkbindir}/javac ]
then
  %{_sbindir}/update-alternatives --remove javac %{sdkbindir}/javac
  %{_sbindir}/update-alternatives --remove java_sdk_%{origin} %{_jvmdir}/%{sdklnk}
  %{_sbindir}/update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%post javadoc
%{_sbindir}/update-alternatives \
  --install %{_javadocdir}/java javadocdir %{_javadocdir}/%{name}/api \
  %{priority}

%postun javadoc
if [ $1 -eq 0 ]
then
  %{_sbindir}/update-alternatives --remove javadoc %{_javadocdir}/%{name}/api
fi

%post plugin
%{_sbindir}/update-alternatives \
  --install %{syslibdir}/mozilla/plugins/libjavaplugin.so %{javaplugin} \
  %{_jvmdir}/%{jrelnk}/lib/%{archinstall}/gcjwebplugin.so %{priority}

%postun plugin
if ! [ -e %{_jvmdir}/%{jrelnk}/lib/%{archinstall}/gcjwebplugin.so ]
then
  %{_sbindir}/update-alternatives --remove %{javaplugin} \
    %{_jvmdir}/%{jrelnk}/lib/%{archinstall}/gcjwebplugin.so
fi

%files -f %{name}.files
%defattr(-,root,root,0755)
%doc %{buildoutputdir}/j2sdk-image/jre/ASSEMBLY_EXCEPTION
%doc %{buildoutputdir}/j2sdk-image/jre/LICENSE
%doc %{buildoutputdir}/j2sdk-image/jre/README.html
%doc %{buildoutputdir}/j2sdk-image/jre/THIRD_PARTY_README
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
# (walluck) ship some docs
%doc INSTALL
#
%doc README
%{_datadir}/applications/%{name}-javaws.desktop
%dir %{_jvmdir}/%{sdkdir}
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_jvmprivdir}/*
%{jvmjardir}
%dir %{_sysconfdir}/java-icedtea
%dir %{_sysconfdir}/java-icedtea/security
%config(noreplace) %{_sysconfdir}/java-icedtea/security/cacerts
%config(noreplace) %{_sysconfdir}/java-icedtea/security/java.policy
%config(noreplace) %{_sysconfdir}/java-icedtea/security/java.security
%dir %{_jvmdir}/%{jredir}/lib/security
%{_jvmdir}/%{jredir}/lib/security/cacerts
%{_jvmdir}/%{jredir}/lib/security/java.policy
%{_jvmdir}/%{jredir}/lib/security/java.security
%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/pack200-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*
%{_mandir}/man1/unpack200-%{name}.1*

%files devel
%defattr(-,root,root,0755)
# (walluck) include icedtea patches for reference
%doc patches/*.patch
%doc %{buildoutputdir}/j2sdk-image/ASSEMBLY_EXCEPTION
%doc %{buildoutputdir}/j2sdk-image/LICENSE
%doc %{buildoutputdir}/j2sdk-image/README.html
%doc %{buildoutputdir}/j2sdk-image/THIRD_PARTY_README
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/apt-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jconsole-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/jhat-%{name}.1*
%{_mandir}/man1/jinfo-%{name}.1*
%{_mandir}/man1/jmap-%{name}.1*
%{_mandir}/man1/jps-%{name}.1*
%{_mandir}/man1/jrunscript-%{name}.1*
%{_mandir}/man1/jsadebugd-%{name}.1*
%{_mandir}/man1/jstack-%{name}.1*
%{_mandir}/man1/jstat-%{name}.1*
%{_mandir}/man1/jstatd-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/schemagen-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*
%{_mandir}/man1/wsgen-%{name}.1*
%{_mandir}/man1/wsimport-%{name}.1*
%{_mandir}/man1/xjc-%{name}.1*

%files demo -f %{name}-demo.files
%defattr(-,root,root,0755)

%files src
%defattr(0644,root,root,0755)
%doc README.src
%{_jvmdir}/%{sdkdir}/src.zip
%if %with mauve
%doc mauve_tests
%doc mauve-%{mauvedate}/mauve_output
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files plugin
%defattr(-,root,root,0755)
%doc README.plugin
%dir %{_libdir}/mozilla
%dir %{_libdir}/mozilla/plugins
%{_jvmdir}/%{jredir}/lib/%{archinstall}/gcjwebplugin.so


%changelog
* Wed Apr 23 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.726.1mdv2009.0
+ Revision: 196709
- icedtea-726

* Tue Apr 01 2008 Anssi Hannula <anssi@mandriva.org> 0:1.7.0.0-24.614.2mdv2008.1
+ Revision: 191391
- own mozilla plugins directory so that update-alternatives will not fail
  if it is not already present

* Sat Feb 16 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.614.1mdv2008.1
+ Revision: 169206
- icedtea 614

* Tue Feb 12 2008 Anssi Hannula <anssi@mandriva.org> 0:1.7.0.0-24.598.2mdv2008.1
+ Revision: 166272
- plugin should not require firefox (fixes #36450)

* Tue Feb 12 2008 Anssi Hannula <anssi@mandriva.org> 0:1.7.0.0-24.598.1mdv2008.1
+ Revision: 165733
- move security config files to /etc/java-icedtea/security (rpmlint)
- restore buildroot
- new snapshot
- move netx classes from tools.jar to javaws.jar and move javaws to main
  package (P103, fixes #37150)
- associate javaws with jnlp files
- fix alternatives checks to match our policy

* Tue Jan 29 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.580.1mdv2008.1
+ Revision: 159979
- icedtea 580

* Mon Jan 28 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.578.1mdv2008.1
+ Revision: 159502
- icedtea 578

* Fri Jan 25 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.577.1mdv2008.1
+ Revision: 158111
- sync with 1.7.0.0-0.24.b24.fc9
- icedtea 577
- update package description

* Tue Jan 22 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.572.1mdv2008.1
+ Revision: 156031
- icedtea 572

* Thu Jan 17 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.571.1mdv2008.1
+ Revision: 154090
- icedtea 571

* Wed Jan 16 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.446.2mdv2008.1
+ Revision: 153603
- disable bootstrap
- BuildRequires: fastjar
- add ppc and ppc64 bits from Fedora
- icedtea 446
- icedtea 138
- eanble full bootstrap

* Wed Jan 09 2008 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.436.1mdv2008.1
+ Revision: 147064
- icedtea 436

* Sat Dec 29 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.427.1mdv2008.1
+ Revision: 139042
- fix Release tag
- remove solaris-specific portion of gcc-4.3 patch
- icedtea-427
- start openjdk-warn-unused-result.patch
- add const-char-fixes.patch (from Gentoo)

* Thu Dec 27 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.425.4mdv2008.1
+ Revision: 138296
- jhat now contains the GPL license header

* Thu Dec 27 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.425.3mdv2008.1
+ Revision: 138273
- more spec cleanup

* Wed Dec 26 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.425.2mdv2008.1
+ Revision: 138175
- remove more dead code
- build as non-bootstrap
- clean mandriva zip
- apply win32 patch
- create link to idlj

* Wed Dec 26 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-24.425.1mdv2008.1
+ Revision: 137888
- use full tarball so that build does not fail
- don't require mercurial as it's not even used
- BuildRequires: mercurial
- generate correct openjdk-b24-mandriva.tar.gz
- remove old version of icedtea
- remove some dead code
- BuildRequires: zip
- fix unconditional BuildRequires: java-1.7.0-icedtea-devel
- icedtea-425
- icedtea-420/openjdk-b24
- icedtea 380
- enable bootstrap
- rediff Gentoo patches
- openjdk-b23/icedtea-373
- add BuildRequires on glib2-devel and gtk2-devel
- icedtea 308
- fix icedtea-gcc-4.3.patch and remove portions conflicting with openjdk-no-werror.patch
- Obsoletes: %%{name}-rmi < %%{epoch}:%%{version}-%%{release}
- sync with fedora b21
- remove gcjbootstrap references
- remove fedora_rev references
- remove some Gentoo make options that are no longer used
- icedtea 307
- remove gentoo patches that are now superceded by icedtea-libraries.patch
- add gcc 4.3 (x86-64) patch
- remove old binaries
- icedtea 304

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-22.258.16.1mdv2008.1
+ Revision: 98878
- workaround missing javadocs
- icedtea 258
- update jhat patch
- add missing backslash
- fix paths to ant and findbugs in openjdk/control/make/jprt.config
- include some fixes from the Makefile that are being skipped
- icedtea 255
- update souces for openjdk b22-12_oct_2007
- update generate-mandriva-zip.sh for b22 (Xinerama files gone, grammar files moved)
- external Xinerama patch no longer applies (files removed upstream)

* Fri Oct 12 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-21.253.16.1mdv2008.1
+ Revision: 97806
- icedtea 253 (1.4)
- icedtea 251

* Thu Oct 11 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-21.245.16.1mdv2008.1
+ Revision: 97053
- icedtea 245
- make packaging scripts more robust
- remove system tzdata patch file
- remove system tzdata patch (not needed)
- reorder make options to place our custom ones last
- remove SKIP_COMPARE_IMAGES=true (always true if OPENJDK=true)
- remove BUILD_NUMBER=%%{_vendor}-%%{release} (now set by icedtea)
- add bugfix for system tzdata
- rediff cpuid-fomit-frame-pointer patch
- rediff execstack.patch
- jhat manpage does not exist
- fix build when running mauve tests
- fix missing newline that broke configure
- put back Requires: tzdata-java
- openjdk b21-27_sep_2007/icedtea 227/fedora rpm 16
- do not ship fedora hg any longer, refer to srpm instead
- remove openjdk-g++-demos.patch (build changed upstream)
- disable cpuid-fomit-frame-pointer.patch and execstack.patch from gentoo (no longer apply cleanly to b21)
- b20/13_sep_2007
- ictedtea 220
- update for jhat changes

* Tue Sep 11 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-19.202.56.2mdv2008.0
+ Revision: 84303
- rebuild to fix build system signing bug

* Mon Sep 10 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-19.202.56.1mdv2008.0
+ Revision: 83996
- icedtea 202 (documentation updates)
- sync with latest fc (build with icedtea, use system cacerts, fix javadocdir link)

* Sat Sep 08 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-19.201.56.1mdv2008.0
+ Revision: 82412
- openjdk b19/30_aug_2007
- rediff java-1.7.0-icedtea-makefile.patch
- remove second call to make
- icedtea 201
- icedtea 185
- icedtea 183

* Fri Aug 31 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.181.56.1mdv2008.0
+ Revision: 77160
- icedtea 181/fedora 56

* Tue Aug 28 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.174.54.1mdv2008.0
+ Revision: 73268
- icedtea 174/fedora 54

* Tue Aug 28 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.166.48.1mdv2008.0
+ Revision: 72318
- iedtea 166/fedora 48

* Sat Aug 25 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.162.44.1mdv2008.0
+ Revision: 71146
- fedora 44

* Fri Aug 24 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.162.43.1mdv2008.0
+ Revision: 70834
- icedtea 162/fedora 43

* Tue Aug 21 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.157.38.1mdv2008.0
+ Revision: 68175
- merge icedtea-157/fedora 38

* Tue Aug 21 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.151.36.2mdv2008.0
+ Revision: 68133
- BuildRequires: mozilla-firefox-devel
- use external jpeg
- remove unnecessary second bootstrap/include link
- icedtea-151
- new BUILD_NUMBER

* Mon Aug 20 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-18.149.36.1mdv2008.0
+ Revision: 67191
- patch openjdk/j2se/make/sun/awt/mawt.gmk to enable DIRECT_LINK_FONTCONFIG
- run make twice to workaround error in duplicate nested type State error sun/java2d/StateTrackable.java
- remove openjdk/j2se/src/solaris/native/sun/awt/fontconfig.h now that DIRECT_LINK_FONTCONFIG works
- fix short-circuiting build by forcing removal of bootstrap include directories
- create include symlink for bootstrap/ecj
- define some things closer to the top of the spec
- b18-16_aug_2007
- jdk version is now 1.7.0, not 1.6.0
- bootstrap is no longer a target
- rename link patch
- remove noundef patch (fixed upstream)
- set COMPILER_WARNINGS_FATAL=false
- new Release tag structure
- document some remaining internal libs
- icedtea-149

* Wed Aug 15 2007 Helio Chissini de Castro <helio@mandriva.com> 0:1.7.0.0-1.8.10mdv2008.0
+ Revision: 63514
- Increase release to rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - do not provide java-javadoc yet

* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.8.9mdv2008.0
+ Revision: 62955
- remove bundled giflib
- set DIRECT_LINK_FONTCONFIG=true
- set EXTERNAL_GIFLIB=true

* Mon Aug 13 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.8.7mdv2008.0
+ Revision: 62486
- remove bundled external libraries
- set custom BUILD_NUMBER
- reenable x86_64 arch

* Mon Aug 13 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.8.5mdv2008.0
+ Revision: 62407
- fix zlib patch and reenable all patches

* Mon Aug 13 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.8.4mdv2008.0
+ Revision: 62395
- enable external xinerama patch

* Mon Aug 13 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.8.3mdv2008.0
+ Revision: 62390
- try to build on i586 only
- icedtea 139
- icedtea 138
- really disable all external lib patches (for now)
- temporarily disable all external library patches
- temporarily disable zlib patches
- zlib should be external
- try without EXTERNAL_ZLIB for now
- add update script
- icedtea 135
- document most differences from Fedora
- upstream Sun bug #6578245 now marked as fixed
- openjdk b17 02_aug_2007/icedtea 133/fedora 36
- x86-64 build should work again
- ensure that the icedtea Makefile.am always matches our openjdk version
- rediff gentoo external lib patches due to changes in the openjdk build
- better comments for changes to upstream fedora spec

* Wed Jul 25 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.8.2mdv2008.0
+ Revision: 55164
- fix generate-cacerts.pl name
- fix patch to fedora files
- enable rmi package only if arch is not x86-64
- icedtea-114/openjdk-b16
- update icedtea URL
- exclude x86_64 for now as it's still broken in b16
- graphics now require freetype2-devel
- include fedora icedtea repository as separate source
- add comment to Sun bug #6578245
- remove icedtea-text-relocations patch (already in icedtea)
- fix %%install
- do not apply icedtea-b15-gcc4.patch (already in icedtea)
- sync with 1.7.0.0-0.8.b15 (Fri Jul 13 2007)
- make sure CLASSPATH is not set during build
- sync with Fedora b15
- apply patches from Gentoo
- revert wget change
- BuildRequires: lesstif-devel
- update openjdk tarball
- set WGET to : to prevent downloading
- remove tls patch
- update icedtea
- add %%{_jvmjardir}/java-%%{javaver}-%%{origin} link

  + Anssi Hannula <anssi@mandriva.org>
    - use JNI headers from %%java_home, drop BR on libgcj-devel
    - update openjdk-link-dynamic.patch for new openjdk
    - new snapshot of icedtea
    - display icedtea revision and openjdk version in descriptions
    - build with -fno-tree-vrp on x86 to prevent build failure

* Thu Jul 05 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.4mdv2008.0
+ Revision: 48495
- add tls patch
- update

* Sun Jul 01 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.3mdv2008.0
+ Revision: 46188
- fix ccache support
- bump release
- disable explicit ccache support and allow use of icecream during build

* Sat Jun 30 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0.0-1.1mdv2008.0
+ Revision: 46124
- add patch to link c++ demos with g++ (source5)
- buildrequires libgcj-devel

  + David Walluck <walluck@mandriva.org>
    - bump release
    - fix BuildRequires for java
    - add BuildRequires for java
    - Import java-1.7.0-icedtea



* Thu Jun 28 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1.1mdv2008.0
- release

* Thu Jun 28 2007 David Walluck <walluck@mandriva.org> 0:1.7.0.0-1mdv2008.0
- update for icedtea
- add epoch for better compatibility
- call update-alternatives, not alternatives which is FC-only
- patch to disable -Werror
- patch to disable static linking
- patch for ccache and compiler

* Wed May  9 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.7.0.0-0.1.nonfree
- Initial build.
